Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 271861 (vbetool) - Review Request: vbetool - Run real-mode video BIOS code to alter hardware state
Summary: Review Request: vbetool - Run real-mode video BIOS code to alter hardware state
Keywords:
Status: CLOSED NEXTRELEASE
Alias: vbetool
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 226302 244330
TreeView+ depends on / blocked
 
Reported: 2007-08-31 15:38 UTC by Till Maas
Modified: 2010-10-27 21:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-13 04:52:49 UTC
andreas.bierfert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Till Maas 2007-08-31 15:38:16 UTC
Spec URL: http://till.fedorapeople.org/review/vbetool.spec
SRPM URL: http://till.fedorapeople.org/review/vbetool-0.7-1.fc7.src.rpm
Description: 
vbetool uses lrmi in order to run code from the video BIOS. Currently, it is
able to alter DPMS states, save/restore video card state and attempt to
initialize the video card from scratch.

Comment 1 Jason Tibbitts 2007-08-31 15:42:31 UTC
Won't this conflict with the existing vbetool in pm-utils?

Comment 2 Till Maas 2007-08-31 16:02:35 UTC
(In reply to comment #1)
> Won't this conflict with the existing vbetool in pm-utils?

oh, I forgot to mention this here. vbetool will be removed from pm-utils, once
it is reviewed.

Comment 3 Till Maas 2007-09-07 16:13:52 UTC
Spec URL: http://till.fedorapeople.org/review/vbetool.spec
SRPM URL: http://till.fedorapeople.org/review/vbetool-0.7-2.fc7.src.rpm

- ExcludeArch: ppc and ppc64 (does not build there)
- add Conflicts with old pm-utils package


Comment 4 Andreas Bierfert 2007-09-08 08:48:27 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

OK: rpmlint is silent
OK: package name
OK: spec name
OK: package
OK: license GPLv2
OK: license field matches license
OK: license is included in %doc
OK: spec file English
OK: spec is legible
OK: sources match upstream sources
1756f2e71ceaef217220e8e482fce835  vbetool_0.7-1.tar.gz
1756f2e71ceaef217220e8e482fce835  rpmbuild/SOURCES/vbetool_0.7-1.tar.gz
OK: builds fine on f7/i386
OK: exclude arche
OK: BR
OK: no duplicate files in %files
OK: permissions
OK: %clean section
OK: macros
OK: content
OK: %doc does not affect runtime
OK: %install section

The package
0f88a30ed64ab5fcdf399021626f7933  vbetool-0.7-2.fc7.src.rpm
is hereby approved.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFG4mG5QEQyPsWM8csRAlB0AKCFGx7/OhU9jHYFUVS03xdzlBSVvgCcDi6P
5RR/GduSQHVpxbJxZlQjZUc=
=/A80
-----END PGP SIGNATURE-----


Comment 5 Till Maas 2007-09-08 10:01:35 UTC
New Package CVS Request
=======================
Package Name: vbetool
Short Description: Run real-mode video BIOS code to alter hardware state
Owners: till,pknirsch
Branches: F-7
Cvsextras Commits: no

If it is possible for you, please also add ajax to watchcommits and commit for
devel.

Comment 6 Kevin Fenzi 2007-09-09 22:28:07 UTC
cvs done. 
See note on radeontool about adding ajax... you should be able to do it via web
interface. 

Comment 7 Till Maas 2007-09-13 04:52:49 UTC
built for devel

Comment 8 Daniel Walsh 2010-10-27 21:58:49 UTC
*** Bug 647327 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.